## org.mortbay.jndi
Class ContextFactory

    java.lang.Object
      |
      +--org.mortbay.jndi.ContextFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ContextFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

CompContextFactory.java Created: Fri Jun 27 09:26:40 2003

Version:
  1.0
Author:
  Jan Bartel

Constructor Summary
`ContextFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable env)`
`javax.naming.Context` `getParentClassLoaderContext(java.lang.ClassLoader loader)`
`static void` `setNameParser(javax.naming.NameParser parser)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextFactory

    public ContextFactory()

Method Detail

### setNameParser

    public static void setNameParser(javax.naming.NameParser parser)

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable env)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
    `java.lang.Exception`

### getParentClassLoaderContext

    public javax.naming.Context getParentClassLoaderContext(java.lang.ClassLoader loader)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.